# define these if using CVS version
%global cvs_date 2007.04.28
%global cvs_ver +cvs.%cvs_date

%define major 0

%define libname %mklibname zipios++ %{major}
%define develname %mklibname zipios++ -d

Name:           zipios++
Version:        0.1.5.9
Release:        %mkrel 4
License:        LGPLv2+
Summary:        C++ library for reading and writing Zip files
Group:          Development/C++
URL:            http://zipios.sourceforge.net/
# Upstream is dead. Using updated Debian source as they are fixing FTBFS issues.
Source0:        ftp://ftp.debian.org/debian/pool/main/z/%{name}/%{name}_%{version}%{cvs_ver}.orig.tar.gz

# Patches extracted from debian diff
# ftp://ftp.debian.org/debian/pool/main/z/zipios++
Patch0:         zipios++-cstdlib.patch
Patch1:         zipios++-amd64_fix.patch
Patch2:         zipios++-fc16-ptrdiff_t.patch
Patch3:         zipios++-zipinputstreambuff.patch

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  zlib-devel
BuildRequires:  cppunit-devel
BuildRequires:  graphviz
BuildRequires:  ImageMagick
BuildRequires:  doxygen


%description
Zipios++ is a java.util.zip-like C++ library for reading and writing
Zip files. Access to individual entries is provided through standard
C++ iostreams. A simple read-only virtual file system that mounts
regular directories and zip files is also provided.

%package -n %{libname}
Summary:        A java.util.zip-like C++ library for reading and writing Zip files
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Zipios++ is a java.util.zip-like C++ library for reading and writing Zip files.
Access to individual entries is provided through standard C++ iostreams.
A simple read-only virtual file system that mounts regular directories and zip
files is also provided

%package -n %{develname}
Summary:        Header files for zipios++
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       libstdc++-devel
Requires:       zlib-devel

%description -n %{develname}
The header files are only needed for development of programs using the
zipios++.

%prep
%setup -q -n %{name}-%{version}%{cvs_ver}
%apply_patches

%__chmod 0644 COPYING

%build
%{_bindir}/autoreconf -if
%configure2_5x --enable-static=no
%make
%make doc


%install
%makeinstall_std

# Remove static libs
%__rm -f %{buildroot}%{_libdir}/*.{a,la}


%files -n %{libname}
%doc AUTHORS NEWS README COPYING
%{_libdir}/libzipios.so.%{major}
%{_libdir}/libzipios.so.%{major}.*

%files -n %{develname}
%doc doc/html
%{_libdir}/*.so
%{_includedir}/zipios++




%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.1.5.9-4.mga6
+ Revision: 963698
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 cjw <cjw> 0.1.5.9-3.mga6
+ Revision: 869193
- rebuild with gcc 5

* Tue Jan 13 2015 shlomif <shlomif> 0.1.5.9-2.mga5
+ Revision: 810347
- Importing zipios++ (thanks to Richard Houser)


* Sat Jan 10 2015 Richard Houser <rick@divinesymphony.net - 0.1.5.9-2
- Initial Mageia release (previous work by Pete Wallace and the Mageia Russian Community)
